/** Operacion.java
	Representa una operacion que puede ser aplicada por el motor
	de inferencias sobre la base de hechos para cambiar su estado.
	Este fichero es parte de un sistema experto que juega al conecta 4,
	y cada Operacin ser indroducir una ficha.
	@author Alberto Alonso Ruibal
*/

class Operacion {
	int iMovimiento;
	
	/** Construye una nueva operacion que contiene un movimiento */
	Operacion (int iValor) {
		iMovimiento = iValor;
	}

	/** Construye una nueva operacion que contiene un movimiento */
	Operacion (Integer oValor) {
		iMovimiento = oValor.intValue();
	}

	/** Devuelve una representacion como un entero de la operacion */
	public int intValue() {
		return iMovimiento;
	}
}
